# Uses of Interface
org.jfree.chart3d.label.PieLabelGenerator

Packages that use PieLabelGenerator
Package
Description
org.jfree.chart3d.label
Classes related to chart labels.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of PieLabelGenerator in org.jfree.chart3d.label

Classes in org.jfree.chart3d.label that implement PieLabelGenerator
Modifier and Type
Class
Description
`class`
`StandardPieLabelGenerator`
A default implementation of the `PieLabelGenerator` interface.

## Uses of PieLabelGenerator in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return PieLabelGenerator
Modifier and Type
Method
Description
`PieLabelGenerator`
PiePlot3D.`getLegendLabelGenerator()`
Returns the object that creates legend labels for each section of the pie chart.
`PieLabelGenerator`
PiePlot3D.`getSectionLabelGenerator()`
Returns the object that creates labels for each section of the pie chart.
`PieLabelGenerator`
PiePlot3D.`getToolTipGenerator()`
Returns the tool tip generator.
Methods in org.jfree.chart3d.plot with parameters of type PieLabelGenerator
Modifier and Type
Method
Description
`void`
PiePlot3D.`setLegendLabelGenerator(PieLabelGenerator generator)`
Sets the object that creates legend labels for each section of the pie chart, and sends a `Plot3DChangeEvent` to all registered listeners.
`void`
PiePlot3D.`setSectionLabelGenerator(PieLabelGenerator generator)`
Sets the object that creates labels for each section of the pie chart, and sends a `Plot3DChangeEvent` to all registered listeners.
`void`
PiePlot3D.`setToolTipGenerator(PieLabelGenerator generator)`
Sets the tool tip generator and sends a change event to all registered listeners.